import { WelcomeController } from "./WelcomeController";
import { RequestHandler } from "../entities/RequestHandler";
import { AccountController } from "./AccountController";

/**
 * Controllers routes
 * 
 * @author Pierre Hubert
 */

export enum RouteType {
	POST, // Default
	GET
}

export interface Route {
	type ?: RouteType,
	path: string,
	cb: (req : RequestHandler) => void,
}

export const Routes : Route[] = [

	// Welcome controller
	{type: RouteType.GET, path: "/", cb: WelcomeController.HomeMessage},

	// Account controller
	{path: "/account/login", cb: AccountController.LoginUser},
	{path: "/user/connectUSER", cb: AccountController.LoginUser}, // Legacy
]